Bug 241464 - Cluster mib definitions fail smilint
Cluster mib definitions fail smilint
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: clustermon (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
:
Depends On: 554593
Blocks: 504869
  Show dependency treegraph
 
Reported: 2007-05-25 22:51 EDT by Subhendu Ghosh
Modified: 2016-04-26 10:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: clustermon-0.12.1-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 554593 (view as bug list)
Environment:
Last Closed: 2010-11-10 15:34:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2007-05-25 22:51:33 EDT
Description of problem:
REDHAT-MIB and REDHAT-CLUSTER-MIB raise errors passed through smilint. Would be
nice if the definitions were clean

Version-Release number of selected component (if applicable):
cluster-snmp-0.8-27.el5

How reproducible:
Always

Steps to Reproduce:
1. install smilint from http://www.ibr.cs.tu-bs.de/projects/libsmi/smilint.html
2. smilint -p ./REDHAT-MIB ./REDHAT-CLUSTER-MIB
3.
  
Actual results:
smilint -p ./REDHAT-MIB ./REDHAT-CLUSTER-MIB 
./REDHAT-MIB.orig:9: `RedHat' should start with a lower case letter
./REDHAT-MIB.orig:9: syntax error, unexpected MODULE_IDENTITY, expecting OBJECT
./REDHAT-MIB.orig:35: missing MODULE-IDENTITY clause in SMIv2 MIB
./REDHAT-CLUSTER-MIB.orig:5: identifier `RedHat' cannot be imported from module
`REDHAT-MIB'
./REDHAT-CLUSTER-MIB.orig:9: `RedHatCluster' should start with a lower case letter
./REDHAT-CLUSTER-MIB.orig:9: syntax error, unexpected MODULE_IDENTITY, expecting
OBJECT
./REDHAT-CLUSTER-MIB.orig:28: `RedHatCluster' should start with a lower case letter
./REDHAT-CLUSTER-MIB.orig:29: `RedHatCluster' should start with a lower case letter
./REDHAT-CLUSTER-MIB.orig:30: `RedHatCluster' should start with a lower case letter
./REDHAT-CLUSTER-MIB.orig:378: missing MODULE-IDENTITY clause in SMIv2 MIB
./REDHAT-CLUSTER-MIB.orig:28: unknown object identifier label `RedHatCluster'
./REDHAT-CLUSTER-MIB.orig:236: table's SEQUENCE OF type does not match row type
./REDHAT-CLUSTER-MIB.orig:253: index element `rhcNodeName' of row `rhcNodeEntry'
must have a size restriction
./REDHAT-CLUSTER-MIB.orig:313: table's SEQUENCE OF type does not match row type
./REDHAT-CLUSTER-MIB.orig:330: index element `rhcServiceName' of row
`rhcServiceEntry' must have a size restriction
./REDHAT-CLUSTER-MIB.orig:238: unknown type `RchNodeEntry'
./REDHAT-CLUSTER-MIB.orig:315: unknown type `RchServiceEntry'



Expected results:
no errors.


Additional info:
Need to include the nodename size restriction from cluster suite.

Partial patches
==Patch 1========================
--- REDHAT-MIB.orig     2007-05-25 20:03:36.000000000 -0400
+++ REDHAT-MIB  2007-05-25 20:32:56.000000000 -0400
@@ -2,11 +2,10 @@
 
 
 IMPORTS
-       enterprises                             FROM RFC1155-SMI
-       MODULE-IDENTITY                         FROM SNMPv2-SMI;
+       enterprises, MODULE-IDENTITY    FROM SNMPv2-SMI;
 
 
-RedHat MODULE-IDENTITY
+redhat MODULE-IDENTITY
     LAST-UPDATED "200512060000Z"            -- Dec 06 2005, midnight
     ORGANIZATION "Red Hat, Inc (www.redhat.com)"
     CONTACT-INFO "postal:   Red Hat, Inc
======================================================

==Patch2==============================================
--- REDHAT-CLUSTER-MIB.orig     2007-05-25 20:03:47.000000000 -0400
+++ REDHAT-CLUSTER-MIB  2007-05-25 20:26:43.000000000 -0400
@@ -2,11 +2,11 @@
 
 
 IMPORTS
-       RedHat                                  FROM REDHAT-MIB
+       redhat                                  FROM REDHAT-MIB
        MODULE-IDENTITY, OBJECT-TYPE, Integer32 FROM SNMPv2-SMI;
 
 
-RedHatCluster MODULE-IDENTITY
+redhatCluster MODULE-IDENTITY
     LAST-UPDATED "200512060000Z"            -- Dec 06 2005, midnight
     ORGANIZATION "Red Hat, Inc (www.redhat.com)"
     CONTACT-INFO "postal:   Red Hat, Inc
@@ -21,13 +21,13 @@
     REVISION     "200512060000Z"            -- Dec 06 2005, midnight
     DESCRIPTION  "MIB version 1
                 "
-    ::= { RedHat 8 }
+    ::= { redhat 8 }
 
 
 
-rhcMIBInfo             OBJECT IDENTIFIER ::= { RedHatCluster 1 }
-rhcCluster             OBJECT IDENTIFIER ::= { RedHatCluster 2 }
-rhcTables              OBJECT IDENTIFIER ::= { RedHatCluster 3 }
+rhcMIBInfo             OBJECT IDENTIFIER ::= { redhatCluster 1 }
+rhcCluster             OBJECT IDENTIFIER ::= { redhatCluster 2 }
+rhcTables              OBJECT IDENTIFIER ::= { redhatCluster 3 }
 
 
 
@@ -234,7 +234,7 @@
        ::= { rhcTables 1 }
 
 rhcNodeEntry OBJECT-TYPE
-       SYNTAX      RchNodeEntry
+       SYNTAX      RhcNodeEntry
        MAX-ACCESS  not-accessible
        STATUS      current
        DESCRIPTION
@@ -311,7 +311,7 @@
        ::= { rhcTables 2 }
 
 rhcServiceEntry OBJECT-TYPE
-       SYNTAX      RchServiceEntry
+       SYNTAX      RhcServiceEntry
        MAX-ACCESS  not-accessible
        STATUS      current
        DESCRIPTION
=====================================================
Comment 7 RHEL Product and Program Management 2010-11-10 15:34:53 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 8 Jan Pokorný 2012-10-19 12:41:38 EDT
FWIW, with current version of cluster-snmp in RHEL 6:

$ SMIPATH=../mibs/ietf ./smilint -p \
  ../clustermon/ricci/modules/cluster/clumon/REDHAT{,-CLUSTER}-MIB
$ echo $?
0

Note You need to log in before you can comment on or make changes to this bug.